Understanding Society User Support - Support #1813

Wave 12 Release Date
11/22/2022 12:54 PM - Laila Bara

Status: Resolved Start date: 11/22/2022
Priority: Normal % Done: 100%
Assignee:

Category: Data releases

Description

Hi | was just wondering when Wave 12 of the Understanding Society survey results would be released? The website say this month
but has there been some delay?

History

#1 - 11/24/2022 07:52 AM - Understanding Society User Support Team
- Status changed from New to Feedback
- % Done changed from 0 to 80

- Private changed from Yes to No
Hello,

Yes, it will be released this month, most likely towards the end of the month.

Best wishes,
Understanding Society User Support Team

#2 - 11/30/2023 11:15 AM - Understanding Society User Support Team
- Category set to Data releases
- Status changed from Feedback to Resolved

- % Done changed from 80 to 100
